Rowkai

Rowkai Docs

API reference.

API

The Rowkai control plane API manages tenants, timelines, branches, and computes.

The local default base URL is http://127.0.0.1:9090. Request and response bodies use JSON, and errors return an error field.

Common endpoints

  • GET /status
  • GET /tenants and POST /tenants
  • GET /tenants/{tenantId}/timelines
  • POST /tenants/{tenantId}/timelines/{timelineId}/branches
  • POST /tenants/{tenantId}/timelines/{timelineId}/compute

Create a tenant

curl -X POST http://127.0.0.1:9090/tenants \
  -H "Content-Type: application/json" \
  -d '{"name": "my-project"}'

Create a branch

curl -X POST \
  http://127.0.0.1:9090/tenants/TENANT_ID/timelines/TIMELINE_ID/branches \
  -H "Content-Type: application/json" \
  -d '{"name": "feature-branch"}'

Start a compute

curl -X POST \
  http://127.0.0.1:9090/tenants/TENANT_ID/timelines/TIMELINE_ID/compute \
  -H "Content-Type: application/json"